| Home | Libraries | People | FAQ | More

## Struct template not_equal_to_base

boost::numeric::functional::not_equal_to_base

## Synopsis

    // In header: <boost/accumulators/numeric/functional.hpp>

    template<typename Left, typename Right, typename EnableIf = void>
    struct not_equal_to_base : public std::binary_function< Left, Right, typeof(lvalue< Left >()!=lvalue< Right >())>
    {

      // public member functions
      result_type operator()(Left &, Right &) const;
    };

## Description

### `not_equal_to_base` public member functions

1.     result_type operator()(Left & left, Right & right) const;

   Returns: | left != right